Groovy with OpenJDK 10 and IntelliJ Build

classic Classic list List threaded Threaded
3 messages Options
MG
Reply | Threaded
Open this post in threaded view
|

Groovy with OpenJDK 10 and IntelliJ Build

MG
Hi,

does anyone allready have experience compiling a Groovy project under
IntelliJ and OpenJDK 10 ?
We are currently using OpenJDK 8 and would need to evaluate (if
possible) if our Groovy framework has any problems building & running
under OpenJDK 10. We are using IntelliJ modules as our build system, and
with OpenJDK 10 the Groovy build throws an internal compiler error that
NotesException requires a base class from the java.corba module, which
can no longer be found. Is there a (quick) way to make Groovy code
module compatible under IntelliJ 2018.1.5 ?

Cheers,
mg



Reply | Threaded
Open this post in threaded view
|

Re: Groovy with OpenJDK 10 and IntelliJ Build

paulk_asert
Does the JDK you run Intellij under need to be the same as what your project settings point to?

On Wed, Jul 4, 2018 at 9:28 AM MG <[hidden email]> wrote:
Hi,

does anyone allready have experience compiling a Groovy project under
IntelliJ and OpenJDK 10 ?
We are currently using OpenJDK 8 and would need to evaluate (if
possible) if our Groovy framework has any problems building & running
under OpenJDK 10. We are using IntelliJ modules as our build system, and
with OpenJDK 10 the Groovy build throws an internal compiler error that
NotesException requires a base class from the java.corba module, which
can no longer be found. Is there a (quick) way to make Groovy code
module compatible under IntelliJ 2018.1.5 ?

Cheers,
mg



MG
Reply | Threaded
Open this post in threaded view
|

Re: Groovy with OpenJDK 10 and IntelliJ Build

MG
No, you pick the JDK for the project/module independently from the IDE. One problem is that IntelliJ does not (afaikt - I never had the need to do so before) support passing parameters to the Groovy compiler (you can supply a Groovy configscript).

On 04.07.2018 01:35, Paul King wrote:
Does the JDK you run Intellij under need to be the same as what your project settings point to?

On Wed, Jul 4, 2018 at 9:28 AM MG <[hidden email]> wrote:
Hi,

does anyone allready have experience compiling a Groovy project under
IntelliJ and OpenJDK 10 ?
We are currently using OpenJDK 8 and would need to evaluate (if
possible) if our Groovy framework has any problems building & running
under OpenJDK 10. We are using IntelliJ modules as our build system, and
with OpenJDK 10 the Groovy build throws an internal compiler error that
NotesException requires a base class from the java.corba module, which
can no longer be found. Is there a (quick) way to make Groovy code
module compatible under IntelliJ 2018.1.5 ?

Cheers,
mg